We ❤️ pull requests, and welcome them from all people regardless of age,
nationality, gender, orientation, ethnicity, race, religion, body size, or
level of experience. By participating in this project, you agree to abide by
our [code of conduct][conduct].

### Reporting a bug

Bug reports are always appreciated! Here are some tips to submitting a helpful
bug report:

- Check the existing [issues][issues] first. If your bug has already been
  submitted, we still appreciate additional clarifying details.
- Provide a title and clear description, with as much supporting detail as
  possible. Include the observed behavior and how it differs from the behavior
  you expected.
- Include specific steps to reproduce the bug.
- Better yet, provide a repo containing an isolated test case.
- Screenshots and animated GIFs to demonstrate complex workflows are awesome!

### Contributing code

Fork and clone the repo. Make sure the tests pass before proceeding. Next, add
a failing test. Finally, make it pass!

Push to your repo and open a pull request. We'll try to review it in a timely
fashion, although we're a small team and we thank you for your patience if
we're unable to respond immediately.

Here are some tips to increase the chances we'll accept your patch
with minimal changes:

- Include tests.
- Include documentation for public-facing methods.
- Lint your changes against our house style, with either `npm test` or `npm
  run lint`.
- Write a good commit message with a brief, clear summary followed by a more
  detailed explanation, if necessary.
- Don't bump the version.

### Getting help

If you have technical questions, please [open an
issue](http://github.com/upworthy/react-mobiledoc-editor/issues). If you have
general questions about our policies, please contact us at
[opensource@upworthy.com](mailto:opensource@upworthy.com).

[issues]: https://github.com/upworthy/react-mobiledoc-editor/issues
[conduct]: ./CODE_OF_CONDUCT.md
